<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TIGLContainersSubgraphBase&lt; CVertex &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#aa8d1a727fba68cd0778e11ba7a36a58e">addInEdge</a>(ID_TYPE src, ID_TYPE target)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a54e62d2e01e756de1784880affe7d82a">addInEdge</a>(ID_TYPE target, EDGE_TYPE edge)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#aca2763f8932ad1ec01be6f4db7231413">addOutEdge</a>(ID_TYPE src, ID_TYPE target)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#acfe7c01ba6c2084bdaacff168b2ef7df">addOutEdge</a>(ID_TYPE src, EDGE_TYPE edge)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#aaeab2fc8f6ebf89e4e055d92972e92da">addVertex</a>(CVertex &amp;x)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#abe60d27a79937a07b4324944f814c383">addVertex</a>(ID_TYPE &amp;id)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a5833ead8d95633e6a1012b1e93e7b3aa">addVertex_consistent</a>(CVertex &amp;x)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a652a7bfb74caade265d2b2faabb33b78">begin</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a19e7dea824e424684b5f4d7b75aa96df">createVerticesList</a>(ID_TYPE &amp;numVertices)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#ac45e55c7e818ee8db6456ee80b54f4cb">DeallocPosTable</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a57fc3d9252217c378f22173788e99a2b">end</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a7d861bdd7ba46573c8dc83f3bf1e4670">exist</a>(ID_TYPE id)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#ae5e592a368623209324164edc1317c65">findPos</a>(ID_TYPE &amp;id, uint_fast32_t &amp;pos)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a36346fc960bbe56f1ce1ab9d0f9f9fca">flagDirected</a></td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a610a858c82a1ac99a0db2b1b3fe4d404">getIndexedVertex</a>(ID_TYPE index)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#adef090617cef9e01d43ed541e8944c80">getNumEdges</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#abbcd66caf3a82f115e13ad0f0a02fa1e">getNumVertices</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#af433f6fa9252112db0e30a3f5977a683">getVertex</a>(ID_TYPE &amp;id, VERTEX_ITERATOR *it)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a83c44bec5c8a95fd980391fb72c6be53">getVertexPos</a>(ID_TYPE &amp;id)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a6b06aa85e18d204308127164f1a12ab1">getVerticesPtr</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#aaee9da2b9d250740c0407d449b2b3a4c">hash</a>(ID_TYPE &amp;id)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a8649895f04c215f32442a3087c5c8cd3">isConnected</a>(ID_TYPE &amp;src, ID_TYPE &amp;target)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#aca8529bfd444ab738305122fd08664f3">isDirected</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#aac204b3c1f12a1b1741b4b8c11635298">MaxCollision</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#ab9dafb37fe969bb2f7a2f13389140124">memory_usage</a>(uint_fast32_t &amp;sizeVerticesList, uint_fast32_t &amp;sizePos)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#aa0d58cb49ff7fe169f56d9e933d63d13">memoryUsage</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a4d2dc5c71e000a5a43abfb541b99ea97">posHashSize</a></td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#ad395cc63b17e2c2bed0e47c044d5aeea">posHoles</a></td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#aa1c6226429fec67e1dd4e7f368d9ede0">removeInEdge</a>(ID_TYPE src, ID_TYPE target)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a6b753a0835bd3c53821161f728ff2ec7">removeOutEdge</a>(ID_TYPE src, ID_TYPE target)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a802c364b5f7d1d6b58ba1d85eec70003">removeVertex</a>(ID_TYPE &amp;id)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#ae212d67e8129f85b2e4761aae98de3c0">reset</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a87245814100827177d2382ac80b37600">size</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#aa808fe135a0ae28b9b9538254b267d81">TIGLContainersSubgraphBase</a>(bool isDireted=true, ID_TYPE assignedHashSize=0)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a51b29e57ffd8f5dca1917ae8d2e38319">TIGLContainersSubgraphBase</a>(VERTEX_LIST_TYPE &amp;init_adj_list, bool isDireted, ID_TYPE assignedHashSize=0)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a56b37400e7d47e6a278084defcd26778">vertexList</a></td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a03aff1a6c6f8bac92420673d84542e2a">vertexPos</a></td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:13:59 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
